<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapc__adv__report__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapc_adv_report_param_t</compoundname>
    <includes local="no">cy_ble_stack_gap_central.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapc__adv__report__param__t_1ab7887c0ee74697f53606c80e9581eb4e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gaa4660d8b8bf2e326cc37f55edbee702d">cy_en_ble_gapc_adv_event_t</ref></type>
        <definition>cy_en_ble_gapc_adv_event_t cy_stc_ble_gapc_adv_report_param_t::eventType</definition>
        <argsstring />
        <name>eventType</name>
        <briefdescription>
<para>Advertisement event type. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Connectable undirected advertising = 0x00</para></listitem><listitem><para>Connectable directed advertising = 0x01</para></listitem><listitem><para>Scannable undirected advertising = 0x02</para></listitem><listitem><para>Non connectable undirected advertising = 0x03</para></listitem><listitem><para>Scan Response = 0x04 </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="288" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="288" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__adv__report__param__t_1acd5bcfb2eba2b2643a652767148b2234" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_adv_report_param_t::peerAddrType</definition>
        <argsstring />
        <name>peerAddrType</name>
        <briefdescription>
<para>BD address type of the device advertising. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC_RPA</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM_RPA </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="296" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="296" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__adv__report__param__t_1ae56a6d3876c7c23b1c7fee2e3c8e42ec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gapc_adv_report_param_t::peerBdAddr</definition>
        <argsstring />
        <name>peerBdAddr</name>
        <briefdescription>
<para>Public Device Address or Random Device Address for each device that responded to scanning. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="300" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="300" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__adv__report__param__t_1a9661c345e9372d6dc7e9506d97110dd4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_adv_report_param_t::dataLen</definition>
        <argsstring />
        <name>dataLen</name>
        <briefdescription>
<para>length of the data for each device that responded to scanning </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="303" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="303" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__adv__report__param__t_1a522ab122151a967f49d39c76996e23fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gapc_adv_report_param_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Pointer to advertising or scan response data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="306" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="306" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__adv__report__param__t_1a9662855d03c4e4fa734d6fe395a642f7" kind="variable" mutable="no" prot="public" static="no">
        <type>int8_t</type>
        <definition>int8_t cy_stc_ble_gapc_adv_report_param_t::rssi</definition>
        <argsstring />
        <name>rssi</name>
        <briefdescription>
<para>Rssi of the responding device. </para>        </briefdescription>
        <detaileddescription>
<para>Range: -85 &lt;= N &lt;= 0 Units: dBm </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="311" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="311" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Advertisement report parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="313" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="279" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="280" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapc__adv__report__param__t_1a522ab122151a967f49d39c76996e23fc" virt="non-virtual"><scope>cy_stc_ble_gapc_adv_report_param_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__adv__report__param__t_1a9661c345e9372d6dc7e9506d97110dd4" virt="non-virtual"><scope>cy_stc_ble_gapc_adv_report_param_t</scope><name>dataLen</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__adv__report__param__t_1ab7887c0ee74697f53606c80e9581eb4e" virt="non-virtual"><scope>cy_stc_ble_gapc_adv_report_param_t</scope><name>eventType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__adv__report__param__t_1acd5bcfb2eba2b2643a652767148b2234" virt="non-virtual"><scope>cy_stc_ble_gapc_adv_report_param_t</scope><name>peerAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__adv__report__param__t_1ae56a6d3876c7c23b1c7fee2e3c8e42ec" virt="non-virtual"><scope>cy_stc_ble_gapc_adv_report_param_t</scope><name>peerBdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__adv__report__param__t_1a9662855d03c4e4fa734d6fe395a642f7" virt="non-virtual"><scope>cy_stc_ble_gapc_adv_report_param_t</scope><name>rssi</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>